
<div class="all-in-one-table">
  <elastic-page-header [height]="'180px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
  </elastic-page-header>
  <div class="container">
    <elastic-breadcrumbs [currentPage]="tableName" [header]="'primary'"></elastic-breadcrumbs>
    <elastic-list [name]="tableName" [columns]="columns" (filterChange)="onFilterChange($event)">
      <div class="actions" fxFlexAlign="center">
        <button *ngIf="((route$|async) != '/tracking/trackings') && (tableName!='Clubs')" class="create"
          (click)="createItem()" type="button" mat-mini-fab color="primary">
          <mat-icon>add</mat-icon>
        </button>
      </div>
      <mat-table #table [dataSource]="(filterLength<3)?dataSource:datasourceSearch" matSort>
        <!-- ID Column -->
        <ng-container matColumnDef="image">
          <mat-header-cell class="image-cell" *matHeaderCellDef></mat-header-cell>
          <mat-cell class="image-cell" *matCellDef="let row">
            <img [src]="row.image? row.image:'//placehold.it/40x40'">
          </mat-cell>
        </ng-container>
        <!-- fullName Column -->
        <ng-container *ngFor="let column of columns">
          <ng-container *ngIf="column.isModelProperty" [matColumnDef]="column.property">
            <mat-header-cell *matHeaderCellDef mat-sort-header> {{ column.name }}</mat-header-cell>
            <mat-cell *matCellDef="let row">
              <a *ngIf="column.name == 'inicio' || column.name == 'fin' || column.name == 'Fecha' ">{{
                row[column.property] | date:"MMM d yyyy ', 'hh:mm a"}}
              </a>
              <a *ngIf="column.name">{{
                row[column.property] == 'official' ? 'creado' : row[column.property] }}</a>
            </mat-cell>
          </ng-container>
        </ng-container>
        <!-- actions Column -->
        <ng-container matColumnDef="actions">
          <mat-header-cell class="actions-cell" *matHeaderCellDef mat-sort-header></mat-header-cell>
          <mat-cell class="actions-cell" *matCellDef="let row">
            <button type="button" mat-icon-button [matMenuTriggerFor]="actionsMenu" (click)="$event.stopPropagation()">
              <mat-icon>more_horiz</mat-icon>
            </button>
            <mat-menu #actionsMenu="matMenu" yPosition="below" xPosition="before">
              <button (click)="deleteItem(row)" mat-menu-item
                *ngIf="((row['user'] && !row['user']['deleted_at']) || (tableName=='Clubs')) && (tableName!='Trackings')">
                <span>Remove</span>
              </button>
              <button (click)="activeUser(row)" mat-menu-item *ngIf="row['user'] && row['user']['deleted_at']">
                <span>Reactivate</span>
              </button>
            </mat-menu>
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="user.deleted_at">
          <mat-header-cell *matHeaderCellDef mat-sort-header>State</mat-header-cell>
          <mat-cell *matCellDef="let row">
            {{(row['user'] && row['user']['deleted_at'])?"Inactive":"Active"}}
          </mat-cell>
        </ng-container>
        <mat-header-row *matHeaderRowDef="visibleColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: visibleColumns;" (click)="updateItem(row)" class="clickable">
        </mat-row>
      </mat-table>
      <mat-paginator class="paginator" (page)='pagination($event)'
        [length]="(filterLength<3)? (resultsLength$|async).count:(resultsLengthSearch$|async).count"
        [pageSize]="pageSize"></mat-paginator>
    </elastic-list>
  </div>
</div>
<div class="btn" id='trybutton' (click)='tryButton()'> </div>